<?php


namespace App\Entities\Profissional;

use App\Entities\Pessoa\Pessoa;
use App\Models\ProfissionalModel;
use App\Utils\Entity;

class Profissional extends Entity
{
    protected $id;
    protected $id_pessoa;
    protected $adicionado_por;
    protected $criado_em;
    protected $atualizado_em;
    protected $indicado_por;

    public static function builder() : ProfissionalBuilder
    {
        $profissional_builder = new ProfissionalBuilder();
        return $profissional_builder;
    }

    public function getId(): int
    {
        return $this->id;
    }

    public function setId($id): void
    {
        $this->id = $id;
    }

    public function getIdPessoa(): int
    {
        return $this->id_pessoa;
    }

    public function setIdPessoa($id_pessoa): void
    {
        $this->id_pessoa = $id_pessoa;
    }

    public function getAdicionadoPor(): int
    {
        return $this->adicionado_por;
    }

    public function setAdicionadoPor($adicionado_por): void
    {
        $this->adicionado_por = $adicionado_por;
    }

    public function getCriadoEm(): string
    {
        return $this->criado_em;
    }

    public function setCriadoEm($criado_em): void
    {
        $this->criado_em = $criado_em;
    }

    public function getAtualizadoEm(): string
    {
        return $this->atualizado_em;
    }

    public function setAtualizadoEm($atualizado_em): void
    {
        $this->atualizado_em = $atualizado_em;
    }

    public function getIndicadoPor(): int
    {
        return $this->indicado_por;
    }

    public function setIndicadoPor($indicado_por): void
    {
        $this->indicado_por = $indicado_por;
    }

}